GET /identifications
inaturalist.org:inaturalist-api
Summary: Search Identifications
Operation ID: searchIdentifications
Auth: unknown
Operation ID: searchIdentifications
Auth: unknown
Description
Search for identifications of observations.
Parameters (11)
category
(string, query, optional)
Filter by category (improving, supporting, leading, etc.)
current
(boolean, query, optional)
Filter by current status (true/false)
d1
(string, query, optional)
Start date
d2
(string, query, optional)
End date
observation_id
(integer, query, optional)
Filter by observation ID
page
(integer, query, optional, default: 1)
Page number
per_page
(integer, query, optional, default: 30)
Results per page (1-200)
Constraints: {'maximum': 200}
place_id
(integer, query, optional)
Filter by place ID
taxon_id
(integer, query, optional)
Filter by taxon ID
taxon_name
(string, query, optional)
Filter by taxon name
user_id
(integer, query, optional)
Filter by identifier user ID
Examples (2)
| Title | Type | URL | Action |
|---|---|---|---|
| Recent identifications with pagination | curl |
https://api.inaturalist.org/v1/identifications?order=desc&order_by=created_at&per_page=20&page=1 |
|
| Identifications by user with date range | curl |
https://api.inaturalist.org/v1/identifications?user_login=charlie&d1=2024-01-01T00:00:00Z&d2=2024-12-31T23:59:59Z&order=desc&per_page=30 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:22:19.235511 | 200 | 3812ms | 0.7MB |
| 2026-03-23 09:39:16.600090 | 200 | 1675ms | 2.0MB |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:22:19.235511 | 28d5d2cc2316 |
8c1b4c260cc6 |